PDA

View Full Version : Teensyduino1.18 won't install into Arduino 1.0.5-r2



gregs78cam
03-09-2014, 06:08 PM
Apparently I didn't have all of the available libraries installed by Teensyduino on my laptop, and upon updating Arduino I decided to install them. I have tried more than once, and each time I run Teesyduino, I get "ERROR!!! Unable to write changes to "lib/pde.jar", replacing object "processing/app/Editor$XxxXxxxxXxxxxx$.class" Each time the description between $-$ are different.

I don't have anything else open or using the file.

PaulStoffregen
03-09-2014, 06:18 PM
I get "ERROR!!! Unable to write changes to "lib/pde.jar"

Perhaps an anti-virus or security program is interfering with the installer's ability to modify the Arduino software?

gregs78cam
03-09-2014, 06:49 PM
The only thing running now is Windows Firewall and it got to "processing/app/FakeSerial.class."
Then "...SerialMonitor$1.class"

What is also weird is that it won't allow it to be installed on Arduino1.0.4, that I have extracted in a separate folder.

PaulStoffregen
03-09-2014, 06:56 PM
Teensyduino 1.18 only supports 1.05, so the "next" button will not enable if you select a copy of 1.0.4 or any other unsupported version.

I can't know why it's unable to write on your machine. Usually these problems are security software, which rightly tries to prevent one program from modifying another.

Perhaps try downloading a fresh copy of Arduino 1.0.5. Do NOT simply unzip it on top of an existing copy. Extract it to an empty directory, so you know you've got a 100% new and fresh copy.

Double check that you really have security software disable during the install. The Teensyduino installer never connects to the internet, so it's ok to unplug from the internet while you've got security software temporarily disabled.

Microsoft Security Essentials is a likely culprit, so make sure it's shut off while running the installer.

gregs78cam
03-09-2014, 07:24 PM
MSE, you nailed it. I completely forgot about that. Thanks Paul.